Bug 58340 - No error shown when some tag file in jar has compile error
No error shown when some tag file in jar has compile error
Product: Tomcat 7
Classification: Unclassified
Component: Jasper
Macintosh Mac OS X 10.1
: P2 minor (vote)
: ---
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2015-09-07 13:28 UTC by Mou, Jian
Modified: 2015-09-10 20:17 UTC (History)
1 user (show)

patch to fix the problem (746 bytes, patch)
2015-09-07 13:28 UTC, Mou, Jian
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mou, Jian 2015-09-07 13:28:19 UTC
Created attachment 33075 [details]
patch to fix the problem

1. if some error in a jsp tag file in a jar
2. Server won't print out the tag compile error in neither console or returned response.

included patch can be applied to Tomcat 7.

only modified "getResourceAsStream(String res)" to use "URL getResource(String res) throws MalformedURLException" in order to change as little as possible.
Comment 1 Mou, Jian 2015-09-09 01:24:41 UTC

is there anyone has feedback on this issue?

Comment 2 Mark Thomas 2015-09-09 08:12:30 UTC
If anyone had some feedback on this issue they would have commented on this issue. Given the lack of comments it is safe to assume that - at this point - no one has any feedback.

There were less than 36 hours between you posting the bug and you asking if anyone had any feedback. You need to be more patient. The developers are aware of the bug and it will get looked at. The more impatient you are, the greater the chances of annoying the very people you want to look at this.

For some time now any bug raised against Tomact will be addressed (usually fixed or declared invalid but sometimes put in the NEEDINFO state) before the next release. Releases occur roughly monthly for 8.0.x and 7.0.x and very roughly six monthly for 6.0.x. Only if a bug appears to have been ignored for at least one release should you start to wonder if it has been overlooked.
Comment 3 Mark Thomas 2015-09-10 20:17:10 UTC
Thanks for the report and the patch.

This has been fixed (using a different patch that works better across all versions) for trunk, 8.0.x (8.0.27 onwards) and 7.0.x (7.0.65 onwards).